summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2016-04-26 13:48:30 +0200
committerLars Wendler <polynomial-c@gentoo.org>2016-04-26 13:48:30 +0200
commit6b6a92f95eef3f18e4a2fc96b1c2b8245356c150 (patch)
tree0857a3a723c374024bb8acecdb76bd0e7103bec9 /sys-apps/input-utils
parentmedia-sound/kid3: Bump to version 3.4.0 (diff)
downloadgentoo-6b6a92f95eef3f18e4a2fc96b1c2b8245356c150.tar.gz
gentoo-6b6a92f95eef3f18e4a2fc96b1c2b8245356c150.tar.bz2
gentoo-6b6a92f95eef3f18e4a2fc96b1c2b8245356c150.zip
sys-apps/input-utils: Bump to version 1.2
Package-Manager: portage-2.2.28 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-apps/input-utils')
-rw-r--r--sys-apps/input-utils/Manifest1
-rw-r--r--sys-apps/input-utils/input-utils-1.2.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/sys-apps/input-utils/Manifest b/sys-apps/input-utils/Manifest
index 31e5b1dc422..5126275c69f 100644
--- a/sys-apps/input-utils/Manifest
+++ b/sys-apps/input-utils/Manifest
@@ -1,2 +1,3 @@
DIST input-1.1.tar.gz 21652 SHA256 544636fb0d468cae7de502f7b973a54a3195073328b235b906bd21298694b65b SHA512 dfb89bfdb956fbd80134606e3deda8fbd7d5679513e882ac169adb4f547980dcdec56db4c992f7dda4036c0dbbb4bec0468262893d3c5253de9d3a8b909d81cc WHIRLPOOL a571f9516f9554c7e1c039ef7fc1727fe2cd9dea2a2539fc514ffc80c09d6c34d060783581112b5401229ac5a1518985b6ca4a0bcccaef3fc97ec13b05e1e457
+DIST input-1.2.tar.gz 22809 SHA256 7934244f34d5cd5d31a67d14892d4c0d8260dc0f622e01cf21bc1eddf4b98b56 SHA512 75a5e2d5b778ae93fb2d29ed7c8b0ec564233a385d88d0fe3a9e5ecd55259f14014bf269c318b5872ddd1379110565d354a1a043eb0a4693c724d52b6ca12173 WHIRLPOOL 61f4f4ff16ddc2654d302beecbc28352d49bbb53d56538aed4e044706a339da67bf03b9df9b42df8ca84ae7bccd779a783d3250a51927a205380f0a06d546ea4
DIST input-20081014-101501.tar.gz 33797 SHA256 185f31f5776bd81be28ae7984d6d2812420858bed8f6ebfbfeaaa7d6ca62b0e5 SHA512 24ad3b5077b0e32b0ed6d28e84c27089091468d1379645f862c66a1987f079765c5aed850542b3bcec25f6254b681991119332a5b024ff04dd3dbd72e3ae3450 WHIRLPOOL e4daac596d81d5a71c829935d6185bc857a4d1d7971d97a6fc9d3b633f9ceeaf8e269b3fe783f948e0e426c5c2a4fd669b861689dd0d2cfeee32b38aaf3012c8
diff --git a/sys-apps/input-utils/input-utils-1.2.ebuild b/sys-apps/input-utils/input-utils-1.2.ebuild
new file mode 100644
index 00000000000..41de0c2c65b
--- /dev/null
+++ b/sys-apps/input-utils/input-utils-1.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+MY_PN="input"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Small collection of linux input layer utils"
+HOMEPAGE="https://www.kraxel.org/blog/linux/input/"
+SRC_URI="https://www.kraxel.org/releases/input/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Ported from Debian
+ #epatch "${FILESDIR}"/input-utils-0.0.1_pre20081014.patch
+ # version check stuff
+ #epatch "${FILESDIR}"/input-utils-0.0.1-protocol-mismatch-fix.patch
+ :
+}
+
+src_install() {
+ make install bindir="${D}"/usr/bin mandir="${D}"/usr/share/man STRIP="" || die "make install failed"
+ dodoc lircd.conf
+ dodoc README
+}